10 OPEN "COM1:9600,N,8,1, CS0, DS0, CD0" FOR RANDOM AS #1: 'open serial port
100 COUNT = 512
110 PRINT "generating trace samples ..."
120 DIM WAVE(2 * COUNT)
130 FOR I = 1 TO COUNT
140     SAMPLE = INT(19200 * SIN(I / 40.744))
150     LSB = SAMPLE AND &HFF
160     MSB = ((SAMPLE - LSB) / 256) AND &HFF
170     WAVE(2 * I) = LSB
180     WAVE(2 * I - 1) = MSB
190 NEXT
200 PRINT "transmitting trace administration ..."
210 PRINT #1, "pw", 41,
220 PRINT #1, "m4.1",
230 PRINT #1, "V",
240 PRINT #1, "s",
250 PRINT #1, 3,
260 PRINT #1, -8.625E-06,
270 PRINT #1, .07813,
280 PRINT #1, .000001,
290 PRINT #1, 65535!,
300 PRINT #1, "18-03-1994",
310 PRINT #1, "14:32:56",
320 PRINT #1, .375,
330 PRINT #1, 0,
340 PRINT #1, 32, 5, "0", "0",
350 PRINT #1, COUNT
360 GOSUB 1000
370 SUM = 0
380 PRINT "transmitting trace samples ..."
390 FOR I = 1 TO 2 * COUNT
400     PRINT #1, CHR$(WAVE(I));
410     SUM = (SUM + WAVE(I)) MOD (256)
420 NEXT I
430 PRINT #1, CHR$(SUM);
440 GOSUB 1000
999 END
1000 '-synchronize on acknowledge & handle error:
1010 INPUT #1, ACK
1020 IF (ACK = 0) THEN GOTO 1110
1030 IF (ACK < 0) OR (ACK > 4) THEN GOTO 1100
1040 PRINT "error: "; ACK;
1050 ON ACK GOTO 1060, 1070, 1080, 1090
1060 PRINT "syntax error": END
1070 PRINT "execution error": END
1080 PRINT "synchronisation error": END
1090 PRINT "communication error": END
1100 PRINT "unknown acknowledge": END
1110 RETURN

